All Classes Namespaces Functions Pages
hal::MetaData Class Referenceabstract

`#include <halMetaData.h>`

## Public Member Functions

virtual const std::map < std::string, std::string > & | getMap () const =0
virtual const std::string & | get (const std::string &key) const =0
virtual void | set (const std::string &key, const std::string &value)=0
virtual bool | has (const std::string &key) const =0

## Protected Member Functions

virtual | ~MetaData ()=0

## Detailed Description

Interface for alignment (or genome) metadata MetaData is a set of key/value pairs where each key and each value is represented by a string.

## Constructor & Destructor Documentation

hal::MetaData::~MetaData | ( |  | ) |

inlineprotectedpure virtual

Destructor

## Member Function Documentation

virtual const std::string& hal::MetaData::get | ( | const std::string & | key | ) | const

pure virtual

Get the value associated with a key (throws error if key doesn't exist)

Parameters

  key | MetaData key

virtual const std::map<std::string, std::string>& hal::MetaData::getMap | ( |  | ) | const

pure virtual

Get read-only reference to the map of metadat

virtual bool hal::MetaData::has | ( | const std::string & | key | ) | const

pure virtual

Determine if key exists in metadata

Parameters

  key | Key to test

virtual void hal::MetaData::set | ( | const std::string & | key,
|  | const std::string & | value
| ) |  |

pure virtual

Set a key-value pair (create's if doesn't exist, updates if does)

Parameters

  key | Key to update
  value | Value to update

The documentation for this class was generated from the following file:

- inc/halMetaData.h